# \<fax>

**Role:** \<fax> keyword allow you to receive efax on the number. Once the fax is received, and action url is passed in the attributes we will send the link to pdf file where you can download the file at any time.

**Use:**&#x20;

* *eFax –* You can build an efax application. Our system will receive the fax and send you the link to the url defined in action attribute. You can download the file and email to end user.

While there are no limitation on where \<fax> can be used, there definitely is optional set of attributes to use with \<fax>. Below is a list of attributes to be used with \<fax>, each attribute has a specific function and can use certain values.

### Attributes

| <p><strong>Attribute</strong><br></p> | <p><strong>Value</strong><br></p> | <p><strong>Default</strong><br></p> |
| ------------------------------------- | --------------------------------- | ----------------------------------- |
| action                                | Callback URL                      | none                                |
| Method                                | POST/GET                          | POST                                |

#### Here is an example of how \<fax> is used within code.

```
<?xml version="1.0" encoding="UTF-8"?> 
<Response>
       <fax/>
 </Response>
```

If the action url is passed, system will receive the fax and send the link to the url.

```
<?xml version="1.0" encoding="UTF-8"?> 
<Response>
       <fax action="handlefax.php" method=post/>
 </Response>
```

We also send other details about the fax in the url defined in action attribute. We will post the fax file location and other details in the post/get method.

{% hint style="info" %}
“faxurl=Path do download the pdf file for the received fax.\
“callid=UUID\
“dialednumber=Dialed Number\
“callerid=callerid\
“faxstatus=Complete|incomplete|failed\
“numofpages= Total number of pages\
“Received= Number of pages received”
{% endhint %}

example get method

\[[www.example.com/faxhandle.php?faxurl=”didforsale.com/downloads/accountid/uuid.pdf”\&callid=”8787hsgsh-aask9qwh-hsgd”\&dialednumber=9499300360\&callerid=9499300361\&faxstatus=complete\&numofpages=10\&received=10](http://www.example.com/faxhandle.php?faxurl=”didforsale.com/downloads/accountid/uuid.pdf”\&callid=”8787hsgsh-aask9qwh-hsgd”\&dialednumber=9499300360\&callerid=9499300361\&faxstatus=complete\&numofpages=10\&received=10)\\

<br>]\(<
[www.example.com/faxhandle.php?faxurl=”didforsale.com/downloads/accountid/uuid.pdf”\&callid=”8787hsgsh-aask9qwh-hsgd”\&dialednumber=9499300360\&callerid=9499300361\&faxstatus=complate\&numofpages=10\&received=10](http://www.example.com/faxhandle.php?faxurl=”didforsale.com/downloads/accountid/uuid.pdf”\&callid=”8787hsgsh-aask9qwh-hsgd”\&dialednumber=9499300360\&callerid=9499300361\&faxstatus=complate\&numofpages=10\&received=10)

\>)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cebodtelecom.com/api/didml-reference-doc/didml-verbs/less-than-fax-greater-than.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
